## sredird 2.2.1-1

=== debian/changelog ===
sredird (2.2.1-1) unstable; urgency=low

  * New upstream version to fix a buffer overflow.

 -- Russell Coker <russell@coker.com.au>  Tue, 24 Feb 2004 21:20:00 +1100

sredird (2.2.0-1) unstable; urgency=low

  * New upstream version which incorporates my patches and some bug fixes from
    Mario Viara.

  * Put in the reference to the location of the GPL license file.

 -- Russell Coker <russell@coker.com.au>  Sun, 13 Jul 2003 13:54:00 +1000

sredird (2.1.0-1) unstable; urgency=low

  * Initial Release.

 -- Russell Coker <russell@coker.com.au>  Wed,  9 Jul 2003 10:37:00 +1000

## sredird 2.2.1-2

=== Makefile ===
# SRedird base makefile
# Supplied by Kevin Bertram (kevin@cate.com.au)

CC=gcc
CFLAGS=-O3 -pipe -fomit-frame-pointer
WFLAGS=-Wall -W -Wshadow -Wpointer-arith -Wwrite-strings -pedantic

SRC=sredird.cpp

sredird:	sredird.cpp
	$(CC) $(CFLAGS) $(WFLAGS) -o sredird $(SRC)

clean:
	rm -f sredird

## sredird 2.2.1-1.1

=== debian/changelog ===
sredird (2.2.1-1.1) unstable; urgency=HIGH

  * NMU
  * Applied patch from Max Vozeler to fix a format string bug and a buffer
    overflow that he found. Closes: #267098

 -- Joey Hess <joeyh@debian.org>  Sun,  5 Dec 2004 12:15:35 -0500

=== debian/control ===
Source: sredird
Section: comm
Priority: optional
Maintainer: Russell Coker <russell@coker.com.au>
Build-Depends: debhelper (>> 4.0.0)
Standards-Version: 3.5.8

Package: sredird
Architecture: any
Depends: ${shlibs:Depends} ${misc:Depends}
Description: RFC 2217 compliant Telnet serial port redirector
 Sredird is a serial port redirector that is compliant with the RFC 2217
 "Telnet Com Port Control Option" protocol. This protocol lets you share a
 serial port through the network.

## sredird 2.2.1-1.1ubuntu1

=== debian/changelog ===
sredird (2.2.1-1.1ubuntu1) yakkety; urgency=medium

  * debian/compat: Bump to 9.
  * debian/control:
    - Build-depend on debhelper (>= 9).
    - Add comma between dependencies.
  * debian/rules: Convert to dh sequencer.
  * debian/{manpages,install}: Add.
  * debian/dirs: Remove.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 07 Aug 2016 02:04:58 -0400

=== debian/control ===
Source: sredird
Section: comm
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Russell Coker <russell@coker.com.au>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.5.8

Package: sredird
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: RFC 2217 compliant Telnet serial port redirector
 Sredird is a serial port redirector that is compliant with the RFC 2217
 "Telnet Com Port Control Option" protocol. This protocol lets you share a
 serial port through the network.

## sredird 2.2.1-2

=== debian/changelog ===
sredird (2.2.1-2) unstable; urgency=medium

  * Merged NMU and updated to debhelper 9.
  * Changed to C++ compile mode for more warnings and fixed them.

 -- Russell Coker <russell@coker.com.au>  Fri, 30 Dec 2016 15:44:42 +1100

=== debian/control ===
Source: sredird
Section: comm
Priority: optional
Maintainer: Russell Coker <russell@coker.com.au>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.5.8

Package: sredird
Architecture: any
Depends: ${shlibs:Depends} ${misc:Depends}
Description: RFC 2217 compliant Telnet serial port redirector
 Sredird is a serial port redirector that is compliant with the RFC 2217
 "Telnet Com Port Control Option" protocol. This protocol lets you share a
 serial port through the network.

## sredird 2.2.1-2build1

=== debian/changelog ===
sredird (2.2.1-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:58:37 +0100

## sredird 2.2.2

=== Makefile ===
--- 
+++ 
@@ -5,9 +5,9 @@
 CFLAGS=-O3 -pipe -fomit-frame-pointer
 WFLAGS=-Wall -W -Wshadow -Wpointer-arith -Wwrite-strings -pedantic
 
-SRC=sredird.cpp
+SRC=sredird.c
 
-sredird:	sredird.cpp
+sredird:	sredird.c
 	$(CC) $(CFLAGS) $(WFLAGS) -o sredird $(SRC)
 
 clean:

=== debian/changelog ===
sredird (2.2.2-1) unstable; urgency=medium

  * QA upload.
  * Maintain package in Debian team on Salsa
  * Add Homepage
  * Add watch file
  * d/copyright: DEP5
  * d/rules:
     - Remove "sample" boilerplate comment
     - Short dh
  * Propagate default build flags
    Closes: #1119571
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * Permit failure of blhc on Salsa

 -- Andreas Tille <tille@debian.org>  Fri, 14 Nov 2025 06:57:18 +0100

sredird (2.2.2-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Re-raise deadly signals instead of ignoring them (Closes: #308627)
  * Fix segfault if insufficient arguments and some start with '-'
    (Closes: #716352)
  * missing-separator-between-items '${shlibs:Depends}' and '${misc:Depends}'

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Fri, 10 Jan 2025 16:29:28 +0100

sredird (2.2.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version. Fixes CVE-2004-2386. Closes: #1072340
  * Convert to source format 3.0.

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. Closes: #985757

 -- Bastian Germann <bage@debian.org>  Sat, 01 Jun 2024 10:45:15 +0000

sredird (2.2.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999137).

 -- Marcos Talau <talau@debian.org>  Thu, 03 Nov 2022 19:44:49 -0300

=== debian/control ===
Source: sredird
Standards-Version: 4.7.2
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: comm
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
Vcs-Browser: https://salsa.debian.org/debian/sredird
Vcs-Git: https://salsa.debian.org/debian/sredird.git
Homepage: http://www.ibiblio.org/pub/linux/system/serial/

Package: sredird
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: RFC 2217 compliant Telnet serial port redirector
 Sredird is a serial port redirector that is compliant with the RFC 2217
 "Telnet Com Port Control Option" protocol. This protocol lets you share a
 serial port through the network.

=== debian/watch ===
Version: 5

Source: http://www.ibiblio.org/pub/linux/system/serial/
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
